diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/tdbet-ff-mac-scheduler.h ns-3.44/src/lte/model/tdbet-ff-mac-scheduler.h
--- ns-3.43/src/lte/model/tdbet-ff-mac-scheduler.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/tdbet-ff-mac-scheduler.h	2025-03-09 16:55:49.607372000 -0700
@@ -17,7 +17,7 @@
 #include "lte-common.h"
 #include "lte-ffr-sap.h"
 
-#include <ns3/nstime.h>
+#include "ns3/nstime.h"
 
 #include <map>
 #include <vector>
@@ -35,8 +35,8 @@
 };
 
 /**
- * \ingroup ff-api
- * \brief Implements the SCHED SAP and CSCHED SAP for a Time Domain Blind Equal Throughput scheduler
+ * @ingroup ff-api
+ * @brief Implements the SCHED SAP and CSCHED SAP for a Time Domain Blind Equal Throughput scheduler
  *
  * This class implements the interface defined by the FfMacScheduler abstract class
  */
@@ -45,7 +45,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates the MAC Scheduler interface implementation
      */
@@ -59,8 +59,8 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -80,9 +80,9 @@
     friend class MemberSchedSapProvider<TdBetFfMacScheduler>;
 
     /**
-     * \brief Transmission mode configuration update function
-     * \param rnti the RNTI
-     * \param txMode the transmission mode
+     * @brief Transmission mode configuration update function
+     * @param rnti the RNTI
+     * @param txMode the transmission mode
      */
     void TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode);
 
@@ -93,32 +93,32 @@
     //
 
     /**
-     * \brief CSched cell config request
-     * \param params FfMacCschedSapProvider::CschedCellConfigReqParameters
+     * @brief CSched cell config request
+     * @param params FfMacCschedSapProvider::CschedCellConfigReqParameters
      */
     void DoCschedCellConfigReq(const FfMacCschedSapProvider::CschedCellConfigReqParameters& params);
 
     /**
-     * \brief CSched UE config request
-     * \param params FfMacCschedSapProvider::CschedUeConfigReqParameters
+     * @brief CSched UE config request
+     * @param params FfMacCschedSapProvider::CschedUeConfigReqParameters
      */
     void DoCschedUeConfigReq(const FfMacCschedSapProvider::CschedUeConfigReqParameters& params);
 
     /**
-     * \brief CSched LC config request
-     * \param params FfMacCschedSapProvider::CschedLcConfigReqParameters
+     * @brief CSched LC config request
+     * @param params FfMacCschedSapProvider::CschedLcConfigReqParameters
      */
     void DoCschedLcConfigReq(const FfMacCschedSapProvider::CschedLcConfigReqParameters& params);
 
     /**
-     * \brief CSched LC release request
-     * \param params FfMacCschedSapProvider::CschedLcReleaseReqParameters
+     * @brief CSched LC release request
+     * @param params FfMacCschedSapProvider::CschedLcReleaseReqParameters
      */
     void DoCschedLcReleaseReq(const FfMacCschedSapProvider::CschedLcReleaseReqParameters& params);
 
     /**
-     * \brief CSched UE release request
-     * \param params FfMacCschedSapProvider::CschedUeReleaseReqParameters
+     * @brief CSched UE release request
+     * @param params FfMacCschedSapProvider::CschedUeReleaseReqParameters
      */
     void DoCschedUeReleaseReq(const FfMacCschedSapProvider::CschedUeReleaseReqParameters& params);
 
@@ -128,93 +128,93 @@
     //
 
     /**
-     * \brief Sched DL RLC buffer request
-     * \param params FfMacSchedSapProvider::SchedDlRlcBufferReqParameters
+     * @brief Sched DL RLC buffer request
+     * @param params FfMacSchedSapProvider::SchedDlRlcBufferReqParameters
      */
     void DoSchedDlRlcBufferReq(const FfMacSchedSapProvider::SchedDlRlcBufferReqParameters& params);
 
     /**
-     * \brief Sched DL paging buffer request
-     * \param params FfMacSchedSapProvider::SchedDlPagingBufferReqParameters
+     * @brief Sched DL paging buffer request
+     * @param params FfMacSchedSapProvider::SchedDlPagingBufferReqParameters
      */
     void DoSchedDlPagingBufferReq(
         const FfMacSchedSapProvider::SchedDlPagingBufferReqParameters& params);
 
     /**
-     * \brief Sched DL MAC buffer request
-     * \param params FfMacSchedSapProvider::SchedDlMacBufferReqParameters
+     * @brief Sched DL MAC buffer request
+     * @param params FfMacSchedSapProvider::SchedDlMacBufferReqParameters
      */
     void DoSchedDlMacBufferReq(const FfMacSchedSapProvider::SchedDlMacBufferReqParameters& params);
 
     /**
-     * \brief Sched DL trigger request
-     * \param params FfMacSchedSapProvider::SchedDlTriggerReqParameters
+     * @brief Sched DL trigger request
+     * @param params FfMacSchedSapProvider::SchedDlTriggerReqParameters
      */
     void DoSchedDlTriggerReq(const FfMacSchedSapProvider::SchedDlTriggerReqParameters& params);
 
     /**
-     * \brief Sched DL RACH info request
-     * \param params FfMacSchedSapProvider::SchedDlRachInfoReqParameters
+     * @brief Sched DL RACH info request
+     * @param params FfMacSchedSapProvider::SchedDlRachInfoReqParameters
      */
     void DoSchedDlRachInfoReq(const FfMacSchedSapProvider::SchedDlRachInfoReqParameters& params);
 
     /**
-     * \brief Sched DL CQI info request
-     * \param params FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
+     * @brief Sched DL CQI info request
+     * @param params FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
      */
     void DoSchedDlCqiInfoReq(const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params);
 
     /**
-     * \brief Sched UL trigger request
-     * \param params FfMacSchedSapProvider::SchedUlTriggerReqParameters
+     * @brief Sched UL trigger request
+     * @param params FfMacSchedSapProvider::SchedUlTriggerReqParameters
      */
     void DoSchedUlTriggerReq(const FfMacSchedSapProvider::SchedUlTriggerReqParameters& params);
 
     /**
-     * \brief Sched UL noise interference request
-     * \param params FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters
+     * @brief Sched UL noise interference request
+     * @param params FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters
      */
     void DoSchedUlNoiseInterferenceReq(
         const FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters& params);
 
     /**
-     * \brief Sched UL SR info request
-     * \param params FfMacSchedSapProvider::SchedUlSrInfoReqParameters
+     * @brief Sched UL SR info request
+     * @param params FfMacSchedSapProvider::SchedUlSrInfoReqParameters
      */
     void DoSchedUlSrInfoReq(const FfMacSchedSapProvider::SchedUlSrInfoReqParameters& params);
 
     /**
-     * \brief Sched UL MAC control info request
-     * \param params FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters
+     * @brief Sched UL MAC control info request
+     * @param params FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters
      */
     void DoSchedUlMacCtrlInfoReq(
         const FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters& params);
 
     /**
-     * \brief Sched UL CQI info request
-     * \param params FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
+     * @brief Sched UL CQI info request
+     * @param params FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
      */
     void DoSchedUlCqiInfoReq(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params);
 
     /**
-     * \brief Get RBG size function
-     * \param dlbandwidth DL bandwidth
-     * \returns RBG size
+     * @brief Get RBG size function
+     * @param dlbandwidth DL bandwidth
+     * @returns RBG size
      */
     int GetRbgSize(int dlbandwidth);
 
     /**
-     * \brief LC active flow function
-     * \param rnti the RNTI
-     * \returns LC active flow
+     * @brief LC active flow function
+     * @param rnti the RNTI
+     * @returns LC active flow
      */
     unsigned int LcActivePerFlow(uint16_t rnti);
 
     /**
-     * \brief Estimate UL SINR function
-     * \param rnti the RNTI
-     * \param rb the RB
-     * \returns SINR
+     * @brief Estimate UL SINR function
+     * @param rnti the RNTI
+     * @param rb the RB
+     * @returns SINR
      */
     double EstimateUlSinr(uint16_t rnti, uint16_t rb);
 
@@ -224,37 +224,37 @@
     void RefreshUlCqiMaps();
 
     /**
-     * \brief Update DL RLC buffer info function
-     * \param rnti the RNTI
-     * \param lcid the LCID
-     * \param size the size
+     * @brief Update DL RLC buffer info function
+     * @param rnti the RNTI
+     * @param lcid the LCID
+     * @param size the size
      */
     void UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size);
     /**
-     * \brief Update UL RLC buffer info function
-     * \param rnti the RNTI
-     * \param size the size
+     * @brief Update UL RLC buffer info function
+     * @param rnti the RNTI
+     * @param size the size
      */
     void UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size);
 
     /**
-     * \brief Update and return a new process Id for the RNTI specified
+     * @brief Update and return a new process Id for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * @param rnti the RNTI of the UE to be updated
+     * @return the process id  value
      */
     uint8_t UpdateHarqProcessId(uint16_t rnti);
 
     /**
-     * \brief Return the availability of free process for the RNTI specified
+     * @brief Return the availability of free process for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the availability
+     * @param rnti the RNTI of the UE to be updated
+     * @return the availability
      */
     bool HarqProcessAvailability(uint16_t rnti);
 
     /**
-     * \brief Refresh HARQ processes according to the timers
+     * @brief Refresh HARQ processes according to the timers
      *
      */
     void RefreshHarqProcesses();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/tdmt-ff-mac-scheduler.cc ns-3.44/src/lte/model/tdmt-ff-mac-scheduler.cc
--- ns-3.43/src/lte/model/tdmt-ff-mac-scheduler.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/tdmt-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
@@ -12,11 +12,11 @@
 #include "lte-amc.h"
 #include "lte-vendor-specific-parameters.h"
 
-#include <ns3/boolean.h>
-#include <ns3/log.h>
-#include <ns3/math.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
+#include "ns3/boolean.h"
+#include "ns3/log.h"
+#include "ns3/math.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
 
 #include <cfloat>
 #include <set>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/tdmt-ff-mac-scheduler.h ns-3.44/src/lte/model/tdmt-ff-mac-scheduler.h
--- ns-3.43/src/lte/model/tdmt-ff-mac-scheduler.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/tdmt-ff-mac-scheduler.h	2025-03-09 16:55:49.607372000 -0700
@@ -17,7 +17,7 @@
 #include "lte-common.h"
 #include "lte-ffr-sap.h"
 
-#include <ns3/nstime.h>
+#include "ns3/nstime.h"
 
 #include <map>
 #include <set>
@@ -27,8 +27,8 @@
 {
 
 /**
- * \ingroup ff-api
- * \brief Implements the SCHED SAP and CSCHED SAP for a Time Domain Maximize Throughput scheduler
+ * @ingroup ff-api
+ * @brief Implements the SCHED SAP and CSCHED SAP for a Time Domain Maximize Throughput scheduler
  *
  * This class implements the interface defined by the FfMacScheduler abstract class
  */
@@ -37,7 +37,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates the MAC Scheduler interface implementation
      */
@@ -51,8 +51,8 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -72,9 +72,9 @@
     friend class MemberSchedSapProvider<TdMtFfMacScheduler>;
 
     /**
-     * \brief Transmission mode configuration update function
-     * \param rnti the RNTI
-     * \param txMode the transmission mode
+     * @brief Transmission mode configuration update function
+     * @param rnti the RNTI
+     * @param txMode the transmission mode
      */
     void TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode);
 
@@ -85,32 +85,32 @@
     //
 
     /**
-     * \brief CSched cell config request
-     * \param params FfMacCschedSapProvider::CschedCellConfigReqParameters
+     * @brief CSched cell config request
+     * @param params FfMacCschedSapProvider::CschedCellConfigReqParameters
      */
     void DoCschedCellConfigReq(const FfMacCschedSapProvider::CschedCellConfigReqParameters& params);
 
     /**
-     * \brief CSched UE config request
-     * \param params FfMacCschedSapProvider::CschedUeConfigReqParameters
+     * @brief CSched UE config request
+     * @param params FfMacCschedSapProvider::CschedUeConfigReqParameters
      */
     void DoCschedUeConfigReq(const FfMacCschedSapProvider::CschedUeConfigReqParameters& params);
 
     /**
-     * \brief CSched LC config request
-     * \param params FfMacCschedSapProvider::CschedLcConfigReqParameters
+     * @brief CSched LC config request
+     * @param params FfMacCschedSapProvider::CschedLcConfigReqParameters
      */
     void DoCschedLcConfigReq(const FfMacCschedSapProvider::CschedLcConfigReqParameters& params);
 
     /**
-     * \brief CSched LC release request
-     * \param params FfMacCschedSapProvider::CschedLcReleaseReqParameters
+     * @brief CSched LC release request
+     * @param params FfMacCschedSapProvider::CschedLcReleaseReqParameters
      */
     void DoCschedLcReleaseReq(const FfMacCschedSapProvider::CschedLcReleaseReqParameters& params);
 
     /**
-     * \brief CSched UE release request
-     * \param params FfMacCschedSapProvider::CschedUeReleaseReqParameters
+     * @brief CSched UE release request
+     * @param params FfMacCschedSapProvider::CschedUeReleaseReqParameters
      */
     void DoCschedUeReleaseReq(const FfMacCschedSapProvider::CschedUeReleaseReqParameters& params);
 
@@ -120,93 +120,93 @@
     //
 
     /**
-     * \brief Sched DL RLC buffer request
-     * \param params FfMacSchedSapProvider::SchedDlRlcBufferReqParameters
+     * @brief Sched DL RLC buffer request
+     * @param params FfMacSchedSapProvider::SchedDlRlcBufferReqParameters
      */
     void DoSchedDlRlcBufferReq(const FfMacSchedSapProvider::SchedDlRlcBufferReqParameters& params);
 
     /**
-     * \brief Sched DL paging buffer request
-     * \param params FfMacSchedSapProvider::SchedDlPagingBufferReqParameters
+     * @brief Sched DL paging buffer request
+     * @param params FfMacSchedSapProvider::SchedDlPagingBufferReqParameters
      */
     void DoSchedDlPagingBufferReq(
         const FfMacSchedSapProvider::SchedDlPagingBufferReqParameters& params);
 
     /**
-     * \brief Sched DL MAC buffer request
-     * \param params FfMacSchedSapProvider::SchedDlMacBufferReqParameters
+     * @brief Sched DL MAC buffer request
+     * @param params FfMacSchedSapProvider::SchedDlMacBufferReqParameters
      */
     void DoSchedDlMacBufferReq(const FfMacSchedSapProvider::SchedDlMacBufferReqParameters& params);
 
     /**
-     * \brief Sched DL trigger request
-     * \param params FfMacSchedSapProvider::SchedDlTriggerReqParameters
+     * @brief Sched DL trigger request
+     * @param params FfMacSchedSapProvider::SchedDlTriggerReqParameters
      */
     void DoSchedDlTriggerReq(const FfMacSchedSapProvider::SchedDlTriggerReqParameters& params);
 
     /**
-     * \brief Sched DL RACH info request
-     * \param params FfMacSchedSapProvider::SchedDlRachInfoReqParameters
+     * @brief Sched DL RACH info request
+     * @param params FfMacSchedSapProvider::SchedDlRachInfoReqParameters
      */
     void DoSchedDlRachInfoReq(const FfMacSchedSapProvider::SchedDlRachInfoReqParameters& params);
 
     /**
-     * \brief Sched DL CQI info request
-     * \param params FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
+     * @brief Sched DL CQI info request
+     * @param params FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
      */
     void DoSchedDlCqiInfoReq(const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params);
 
     /**
-     * \brief Sched UL trigger request
-     * \param params FfMacSchedSapProvider::SchedUlTriggerReqParameters
+     * @brief Sched UL trigger request
+     * @param params FfMacSchedSapProvider::SchedUlTriggerReqParameters
      */
     void DoSchedUlTriggerReq(const FfMacSchedSapProvider::SchedUlTriggerReqParameters& params);
 
     /**
-     * \brief Sched UL noise interference request
-     * \param params FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters
+     * @brief Sched UL noise interference request
+     * @param params FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters
      */
     void DoSchedUlNoiseInterferenceReq(
         const FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters& params);
 
     /**
-     * \brief Sched UL SR info request
-     * \param params FfMacSchedSapProvider::SchedUlSrInfoReqParameters
+     * @brief Sched UL SR info request
+     * @param params FfMacSchedSapProvider::SchedUlSrInfoReqParameters
      */
     void DoSchedUlSrInfoReq(const FfMacSchedSapProvider::SchedUlSrInfoReqParameters& params);
 
     /**
-     * \brief Sched UL MAC control info request
-     * \param params FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters
+     * @brief Sched UL MAC control info request
+     * @param params FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters
      */
     void DoSchedUlMacCtrlInfoReq(
         const FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters& params);
 
     /**
-     * \brief Sched UL CQI info request
-     * \param params FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
+     * @brief Sched UL CQI info request
+     * @param params FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
      */
     void DoSchedUlCqiInfoReq(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params);
 
     /**
-     * \brief Get RBG size function
-     * \param dlbandwidth the DL bandwidth
-     * \returns the RBG size
+     * @brief Get RBG size function
+     * @param dlbandwidth the DL bandwidth
+     * @returns the RBG size
      */
     int GetRbgSize(int dlbandwidth);
 
     /**
-     * \brief LC active flow function
-     * \param rnti the RNTI
-     * \returns the LC active flow
+     * @brief LC active flow function
+     * @param rnti the RNTI
+     * @returns the LC active flow
      */
     unsigned int LcActivePerFlow(uint16_t rnti);
 
     /**
-     * \brief Estimate UL SINR function
-     * \param rnti the RNTI
-     * \param rb the RB
-     * \returns the SINR
+     * @brief Estimate UL SINR function
+     * @param rnti the RNTI
+     * @param rb the RB
+     * @returns the SINR
      */
     double EstimateUlSinr(uint16_t rnti, uint16_t rb);
 
@@ -216,37 +216,37 @@
     void RefreshUlCqiMaps();
 
     /**
-     * \brief Update DL RLC buffer info function
-     * \param rnti the RNTI
-     * \param lcid the LCID
-     * \param size the size
+     * @brief Update DL RLC buffer info function
+     * @param rnti the RNTI
+     * @param lcid the LCID
+     * @param size the size
      */
     void UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size);
     /**
-     * \brief Update UL RLC buffer info function
-     * \param rnti the RNTI
-     * \param size the size
+     * @brief Update UL RLC buffer info function
+     * @param rnti the RNTI
+     * @param size the size
      */
     void UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size);
 
     /**
-     * \brief Update and return a new process Id for the RNTI specified
+     * @brief Update and return a new process Id for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * @param rnti the RNTI of the UE to be updated
+     * @return the process id  value
      */
     uint8_t UpdateHarqProcessId(uint16_t rnti);
 
     /**
-     * \brief Return the availability of free process for the RNTI specified
+     * @brief Return the availability of free process for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the availability
+     * @param rnti the RNTI of the UE to be updated
+     * @return the availability
      */
     bool HarqProcessAvailability(uint16_t rnti);
 
     /**
-     * \brief Refresh HARQ processes according to the timers
+     * @brief Refresh HARQ processes according to the timers
      *
      */
     void RefreshHarqProcesses();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/tdtbfq-ff-mac-scheduler.cc ns-3.44/src/lte/model/tdtbfq-ff-mac-scheduler.cc
--- ns-3.43/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
@@ -12,12 +12,12 @@
 #include "lte-amc.h"
 #include "lte-vendor-specific-parameters.h"
 
-#include <ns3/boolean.h>
-#include <ns3/integer.h>
-#include <ns3/log.h>
-#include <ns3/math.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
+#include "ns3/boolean.h"
+#include "ns3/integer.h"
+#include "ns3/log.h"
+#include "ns3/math.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
 
 #include <cfloat>
 #include <set>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/tdtbfq-ff-mac-scheduler.h ns-3.44/src/lte/model/tdtbfq-ff-mac-scheduler.h
--- ns-3.43/src/lte/model/tdtbfq-ff-mac-scheduler.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/tdtbfq-ff-mac-scheduler.h	2025-03-09 16:55:49.607372000 -0700
@@ -17,7 +17,7 @@
 #include "lte-common.h"
 #include "lte-ffr-sap.h"
 
-#include <ns3/nstime.h>
+#include "ns3/nstime.h"
 
 #include <map>
 #include <vector>
@@ -44,8 +44,8 @@
 };
 
 /**
- * \ingroup ff-api
- * \brief Implements the SCHED SAP and CSCHED SAP for a Time Domain Token Bank Fair Queue  scheduler
+ * @ingroup ff-api
+ * @brief Implements the SCHED SAP and CSCHED SAP for a Time Domain Token Bank Fair Queue  scheduler
  *
  * This class implements the interface defined by the FfMacScheduler abstract class
  */
@@ -54,7 +54,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates the MAC Scheduler interface implementation
      */
@@ -68,8 +68,8 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -89,9 +89,9 @@
     friend class MemberSchedSapProvider<TdTbfqFfMacScheduler>;
 
     /**
-     * \brief Transmission mde configuration update function
-     * \param rnti the RNTI
-     * \param txMode the transmission mode
+     * @brief Transmission mde configuration update function
+     * @param rnti the RNTI
+     * @param txMode the transmission mode
      */
     void TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode);
 
@@ -102,32 +102,32 @@
     //
 
     /**
-     * \brief CSched cell config request
-     * \param params FfMacCschedSapProvider::CschedCellConfigReqParameters
+     * @brief CSched cell config request
+     * @param params FfMacCschedSapProvider::CschedCellConfigReqParameters
      */
     void DoCschedCellConfigReq(const FfMacCschedSapProvider::CschedCellConfigReqParameters& params);
 
     /**
-     * \brief CSched UE config request
-     * \param params FfMacCschedSapProvider::CschedUeConfigReqParameters
+     * @brief CSched UE config request
+     * @param params FfMacCschedSapProvider::CschedUeConfigReqParameters
      */
     void DoCschedUeConfigReq(const FfMacCschedSapProvider::CschedUeConfigReqParameters& params);
 
     /**
-     * \brief CSched LC config request
-     * \param params FfMacCschedSapProvider::CschedLcConfigReqParameters
+     * @brief CSched LC config request
+     * @param params FfMacCschedSapProvider::CschedLcConfigReqParameters
      */
     void DoCschedLcConfigReq(const FfMacCschedSapProvider::CschedLcConfigReqParameters& params);
 
     /**
-     * \brief CSched LC release request
-     * \param params FfMacCschedSapProvider::CschedLcReleaseReqParameters
+     * @brief CSched LC release request
+     * @param params FfMacCschedSapProvider::CschedLcReleaseReqParameters
      */
     void DoCschedLcReleaseReq(const FfMacCschedSapProvider::CschedLcReleaseReqParameters& params);
 
     /**
-     * \brief CSched UE release request
-     * \param params FfMacCschedSapProvider::CschedUeReleaseReqParameters
+     * @brief CSched UE release request
+     * @param params FfMacCschedSapProvider::CschedUeReleaseReqParameters
      */
     void DoCschedUeReleaseReq(const FfMacCschedSapProvider::CschedUeReleaseReqParameters& params);
 
@@ -137,93 +137,93 @@
     //
 
     /**
-     * \brief Sched DL RLC buffer request
-     * \param params FfMacSchedSapProvider::SchedDlRlcBufferReqParameters
+     * @brief Sched DL RLC buffer request
+     * @param params FfMacSchedSapProvider::SchedDlRlcBufferReqParameters
      */
     void DoSchedDlRlcBufferReq(const FfMacSchedSapProvider::SchedDlRlcBufferReqParameters& params);
 
     /**
-     * \brief Sched DL paging buffer request
-     * \param params FfMacSchedSapProvider::SchedDlPagingBufferReqParameters
+     * @brief Sched DL paging buffer request
+     * @param params FfMacSchedSapProvider::SchedDlPagingBufferReqParameters
      */
     void DoSchedDlPagingBufferReq(
         const FfMacSchedSapProvider::SchedDlPagingBufferReqParameters& params);
 
     /**
-     * \brief Sched DL MAC buffer request
-     * \param params FfMacSchedSapProvider::SchedDlMacBufferReqParameters
+     * @brief Sched DL MAC buffer request
+     * @param params FfMacSchedSapProvider::SchedDlMacBufferReqParameters
      */
     void DoSchedDlMacBufferReq(const FfMacSchedSapProvider::SchedDlMacBufferReqParameters& params);
 
     /**
-     * \brief Sched DL trigger request
-     * \param params FfMacSchedSapProvider::SchedDlTriggerReqParameters
+     * @brief Sched DL trigger request
+     * @param params FfMacSchedSapProvider::SchedDlTriggerReqParameters
      */
     void DoSchedDlTriggerReq(const FfMacSchedSapProvider::SchedDlTriggerReqParameters& params);
 
     /**
-     * \brief Sched DL RACH info request
-     * \param params FfMacSchedSapProvider::SchedDlRachInfoReqParameters
+     * @brief Sched DL RACH info request
+     * @param params FfMacSchedSapProvider::SchedDlRachInfoReqParameters
      */
     void DoSchedDlRachInfoReq(const FfMacSchedSapProvider::SchedDlRachInfoReqParameters& params);
 
     /**
-     * \brief Sched DL CQI info request
-     * \param params FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
+     * @brief Sched DL CQI info request
+     * @param params FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
      */
     void DoSchedDlCqiInfoReq(const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params);
 
     /**
-     * \brief Sched UL trigger request
-     * \param params FfMacSchedSapProvider::SchedUlTriggerReqParameters
+     * @brief Sched UL trigger request
+     * @param params FfMacSchedSapProvider::SchedUlTriggerReqParameters
      */
     void DoSchedUlTriggerReq(const FfMacSchedSapProvider::SchedUlTriggerReqParameters& params);
 
     /**
-     * \brief Sched UL noise interference request
-     * \param params FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters
+     * @brief Sched UL noise interference request
+     * @param params FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters
      */
     void DoSchedUlNoiseInterferenceReq(
         const FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters& params);
 
     /**
-     * \brief Sched UL SR info request
-     * \param params FfMacSchedSapProvider::SchedUlSrInfoReqParameters
+     * @brief Sched UL SR info request
+     * @param params FfMacSchedSapProvider::SchedUlSrInfoReqParameters
      */
     void DoSchedUlSrInfoReq(const FfMacSchedSapProvider::SchedUlSrInfoReqParameters& params);
 
     /**
-     * \brief Sched UL MAC control info request
-     * \param params FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters
+     * @brief Sched UL MAC control info request
+     * @param params FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters
      */
     void DoSchedUlMacCtrlInfoReq(
         const FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters& params);
 
     /**
-     * \brief Sched UL CQI info request
-     * \param params FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
+     * @brief Sched UL CQI info request
+     * @param params FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
      */
     void DoSchedUlCqiInfoReq(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params);
 
     /**
-     * \brief Get RBG size
-     * \param dlbandwidth he DL bandwidth
-     * \returns the RBG size
+     * @brief Get RBG size
+     * @param dlbandwidth he DL bandwidth
+     * @returns the RBG size
      */
     int GetRbgSize(int dlbandwidth);
 
     /**
-     * \brief LC active flow size
-     * \param rnti the RNTI
-     * \returns the LC active flow
+     * @brief LC active flow size
+     * @param rnti the RNTI
+     * @returns the LC active flow
      */
     unsigned int LcActivePerFlow(uint16_t rnti);
 
     /**
-     * \brief Estimate UL SINR function
-     * \param rnti the RNTI
-     * \param rb the RB
-     * \returns the SINR
+     * @brief Estimate UL SINR function
+     * @param rnti the RNTI
+     * @param rb the RB
+     * @returns the SINR
      */
     double EstimateUlSinr(uint16_t rnti, uint16_t rb);
 
@@ -233,37 +233,37 @@
     void RefreshUlCqiMaps();
 
     /**
-     * \brief Update DL RLC buffer info function
-     * \param rnti the RNTI
-     * \param lcid the LCID
-     * \param size the size
+     * @brief Update DL RLC buffer info function
+     * @param rnti the RNTI
+     * @param lcid the LCID
+     * @param size the size
      */
     void UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size);
     /**
-     * \brief Update UL RLC buffer info function
-     * \param rnti the RNTI
-     * \param size the size
+     * @brief Update UL RLC buffer info function
+     * @param rnti the RNTI
+     * @param size the size
      */
     void UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size);
 
     /**
-     * \brief Update and return a new process Id for the RNTI specified
+     * @brief Update and return a new process Id for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * @param rnti the RNTI of the UE to be updated
+     * @return the process id  value
      */
     uint8_t UpdateHarqProcessId(uint16_t rnti);
 
     /**
-     * \brief Return the availability of free process for the RNTI specified
+     * @brief Return the availability of free process for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the availability
+     * @param rnti the RNTI of the UE to be updated
+     * @return the availability
      */
     bool HarqProcessAvailability(uint16_t rnti);
 
     /**
-     * \brief Refresh HARQ processes according to the timers
+     * @brief Refresh HARQ processes according to the timers
      *
      */
     void RefreshHarqProcesses();
